# Credit transfer logs (/docs/api-reference/reseller/getResellerCreditLogs)

> Paginated history of all credit transfers and reverts for the reseller account. Returns reverse-chronological order by default. Date filters are inclusive.



> **Reseller accounts only.** [Request access](https://omnidim.io/contact-us?reason=partnership\&lock=1).

**GET** `/reseller/credits/logs`

Paginated history of all credit transfers and reverts for the
reseller account. Returns reverse-chronological order by
default. Date filters are inclusive.

```yaml
operationId: getResellerCreditLogs
parameters:
  - name: page
    in: query
    description: Page number for pagination.
    schema:
      type: integer
      default: 1
  - name: page_size
    in: query
    description: Number of records per page (max 100).
    schema:
      type: integer
      default: 20
  - name: date_from
    in: query
    description: Filter logs from this date in `YYYY-MM-DD` format (e.g. `2026-01-01`).
    schema:
      type: string
      format: date
  - name: date_to
    in: query
    description: Filter logs up to and including this date in `YYYY-MM-DD` format (e.g. `2026-03-31`).
    schema:
      type: string
      format: date
responses:
  '200':
    description: Credit logs.
    content:
      application/json:
        schema:
          type: object
          properties:
            success:
              type: boolean
            data:
              type: object
              properties:
                logs:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: integer
                      transfer_reference:
                        type: string
                      reseller_organization:
                        type: object
                        properties:
                          id:
                            type: integer
                          name:
                            type: string
                      from_organization:
                        type: object
                        properties:
                          id:
                            type: integer
                          name:
                            type: string
                      to_organization:
                        type: object
                        properties:
                          id:
                            type: integer
                          name:
                            type: string
                      credit_amount:
                        type: number
                      cost_amount:
                        type: number
                      from_balance_before:
                        type: number
                      from_balance_after:
                        type: number
                      to_balance_before:
                        type: number
                      to_balance_after:
                        type: number
                      transfer_date:
                        type: string
                        format: date-time
                      performed_by:
                        type: object
                        properties:
                          id:
                            type: integer
                          name:
                            type: string
                          email:
                            type: string
                            format: email
                      status:
                        type: string
                      transaction_type:
                        type: string
                        description: One of `credit_transfer`, `credit_revert`, or `channel_allocation`.
                      channels_count:
                        type: integer
                      previous_channels:
                        type: integer
                      new_channels:
                        type: integer
                      notes:
                        type: string
                total_records:
                  type: integer
                page:
                  type: integer
                page_size:
                  type: integer
                total_pages:
                  type: integer
          example:
            success: true
            data:
              logs:
                - id: 4
                  transfer_reference: CT-20260115110440-5678-4002
                  reseller_organization:
                    id: 5678
                    name: Demo Reseller
                  from_organization:
                    id: 5678
                    name: Demo Reseller
                  to_organization:
                    id: 4002
                    name: Beta Co
                  credit_amount: 4
                  cost_amount: -1.8
                  from_balance_before: 61.613
                  from_balance_after: 59.813
                  to_balance_before: 10
                  to_balance_after: 14
                  transfer_date: '2026-01-15T16:34:40+05:30'
                  performed_by:
                    id: 1000
                    name: Demo Reseller Admin
                    email: admin@example.com
                  status: success
                  transaction_type: credit_transfer
                  channels_count: 0
                  previous_channels: 0
                  new_channels: 0
                  notes: Transfer of 20 minutes at 0.20/min
                - id: 3
                  transfer_reference: CH-20260115110440-5678-4002
                  reseller_organization:
                    id: 5678
                    name: Demo Reseller
                  from_organization:
                    id: 5678
                    name: Demo Reseller
                  to_organization:
                    id: 4002
                    name: Beta Co
                  credit_amount: 0
                  cost_amount: 0
                  from_balance_before: 0
                  from_balance_after: 0
                  to_balance_before: 0
                  to_balance_after: 0
                  transfer_date: '2026-01-15T16:34:40+05:30'
                  performed_by:
                    id: 1000
                    name: Demo Reseller Admin
                    email: admin@example.com
                  status: success
                  transaction_type: channel_allocation
                  channels_count: 1
                  previous_channels: 4
                  new_channels: 5
                  notes: 'Concurrency limit changed from 4 to 5 (Delta: 1)'
              total_records: 2
              page: 1
              page_size: 20
              total_pages: 1
```

**curl**

```bash
curl -X GET "https://backend.omnidim.io/api/v1/reseller/credits/logs" \
  -H "Authorization: Bearer $OMNIDIM_API_KEY"
```
